#ifndef IIIMPREEDIT_HH_

#define IIIMPREEDIT_HH_
#include <iiimcf.h>
#include <qframe.h>

class IIIMPreeditWidget : public QFrame
{
    QSize currentsize;
    IIIMCF_context ctx;

    void drawContents(
	QPainter *p
    );

    QSize sizeHint() const;

  public:
    void update_im();

    IIIMPreeditWidget(
	IIIMCF_context ctx,
	QWidget *parent = 0,
	const char *name = 0,
	WFlags f = 0
    );
    ~IIIMPreeditWidget();
};

#endif

/* Local Variables: */
/* c-file-style: "iiim-project" */
/* End: */


